<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 2019-06-15
 * Time: 11:16
 */

namespace App\Repositories;

use App\Models\Category;
use App\Models\CategoryTopic;

class CategoryRepository {

    public function __construct(Category $category,CategoryTopic $categoryTopic) {
        $this->category = $category;
        $this->categoryTopic = $categoryTopic;
    }
    //列表
    public function lists($request)
    {
        $perPage = isset($request['per_page']) ? $request['per_page'] : 20;
        $where = [];
        if(!empty($request['is_suggest'])){
            $where[] = ['is_suggest', '=', $request['is_suggest']];
        }
        return $this->category->where($where)->paginate($perPage);
    }
    //获取多个话题
    public function getTopics($ids){
        $ids = explode(',',$ids);
        return $this->categoryTopic
            ->leftJoin('topic', 'category_topic.topic_id', '=', 'topic.id')
            ->where('topic.is_suggest',1)
            ->whereIn('category_topic.category_id',$ids)
            ->select('topic.id','topic.name','topic.is_suggest')
            ->get();
    }
}