<?php

/**
 * Created by PhpStorm.
 * User: wangzhiqiang
 * Date: 2019/5/5
 * Time: 17:11
 */
namespace App\Traits;
use Illuminate\Support\Facades\Log;
use Tymon\JWTAuth\Facades\JWTAuth;

trait UserTrait
{
    //获取用户
    public function getUserInfo() {
        try {
            $sign = generateSign([], config('customer.app_secret'));
            $url = config("customer.app_service_url").'/user/userInfo';
            $array = [
                'json' => ['sign' => $sign], 'query' => [], 'http_errors' => false,'headers'=>['Authorization'=>"Bearer ".JWTAuth::getToken()]
            ];
            return http($url,$array);
        } catch (\Exception $e) {
            return [];
        }

    }
    //检查关注状态
    public function getFollowStatus($uid, $followUid) {
        try {
            $sign = generateSign(['uid' => $followUid, 'follow_uid' => $uid], config('customer.app_secret'));
            $url = config("customer.app_service_url").'/user/v2/follow/checkStatus';
            //$url = 'http://localhost:8080/v2/follow/checkStatus';
            $array = [
                'json' => ['sign' => $sign, 'uid' => $followUid, 'follow_uid' => $uid], 'query' => [], 'http_errors' => false,'headers'=>['Authorization'=>"Bearer ".JWTAuth::getToken()]
            ];
            return http($url,$array,'get');
        } catch (\Exception $e) {
            return [];
        }

    }
    //检查关注状态 多个uid
    public function getFollowMembersStatus($uids) {
        try {
            $sign = generateSign(['uids' => $uids], config('customer.app_secret'));
            $url = config("customer.app_service_url").'/user/v2/member/getMemberIds';
            $array = [
                'json' => ['sign' => $sign, 'uids' => $uids], 'query' => [], 'http_errors' => false,'headers'=>['Authorization'=>"Bearer ".JWTAuth::getToken()]
            ];
            return http($url,$array,'get');
        } catch (\Exception $e) {
            Log::debug($e->getMessage());
            return [];
        }
    }
    //检查关注状态 多个uid
    public function getFollowMemberFans($follow_id) {
        try {
            $sign = generateSign(['follow_id' => $follow_id], config('customer.app_secret'));
            $url = config("customer.app_service_url").'/user/v2/member/getFollowMemberFans';
            //$url = 'http://localhost:8080/v2/member/getFollowMemberFans';
            $array = [
                'json' => ['sign' => $sign, 'follow_id' => $follow_id], 'query' => [], 'http_errors' => false,'headers'=>['Authorization'=>"Bearer ".JWTAuth::getToken()]
            ];
            return http($url,$array,'get');
        } catch (\Exception $e) {
            Log::debug($e->getMessage());
            return [];
        }
    }
}