<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 2019-06-24
 * Time: 14:45
 */

namespace App\Transformers;


use App\Models\Feed;
use App\Repositories\PostRepositories;
use App\Traits\PostTrait;
use App\Traits\UserTrait;
use League\Fractal\TransformerAbstract;
use Carbon\Carbon;
use App\Models\PostDislike;
use App\Models\PostLike;

class FeedTransformer extends TransformerAbstract {
    use UserTrait;
    use PostTrait;
    public function transform(Feed $feed)
    {
        return [
            'id' => $feed['id'],
            'uid' => $feed['uid'],
            'follow_uid' => $feed['follow_uid'],
            'follow_username' => subtext($feed['follow_username'], 10),
            'follow_avatar' => $feed['follow_avatar'],
           // 'follow_status' => $this->getFollowStatus($feed['uid'],$feed['follow_uid']),
            'type' => $feed['type'],
            'relate_id' => $feed['relate_id'],
            'relate_data' => !empty($feed['relate_data'])?$feed['relate_data']:null,
            'content' => !empty($feed['content'])?json_decode($feed['content']):null,
            'created_at' => Carbon::parse($feed['created_at'])->diffForHumans(),
        ];
    }
}